"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// parsers.ts
var parsers_exports = {};
__export(parsers_exports, {
  parseArray: () => import_array.parseArray,
  parseBigint: () => import_basic.parseBigint,
  parseBigintArray: () => import_array.parseBigintArray,
  parseBigintRange: () => import_range.parseBigintRange,
  parseBigintRangeArray: () => import_range.parseBigintRangeArray,
  parseBool: () => import_basic.parseBool,
  parseBoolArray: () => import_array.parseBoolArray,
  parseByteA: () => import_bytea.parseByteA,
  parseByteAArray: () => import_array.parseByteAArray,
  parseCircle: () => import_geometric.parseCircle,
  parseCircleArray: () => import_array.parseCircleArray,
  parseFloatArray: () => import_array.parseFloatArray,
  parseFloatRange: () => import_range.parseFloatRange,
  parseFloatRangeArray: () => import_range.parseFloatRangeArray,
  parseIntArray: () => import_array.parseIntArray,
  parseIntRange: () => import_range.parseIntRange,
  parseIntRangeArray: () => import_range.parseIntRangeArray,
  parseInterval: () => import_interval.parseInterval,
  parseIntervalArray: () => import_array.parseIntervalArray,
  parseJson: () => import_basic.parseJson,
  parseJsonArray: () => import_array.parseJsonArray,
  parsePoint: () => import_geometric.parsePoint,
  parsePointArray: () => import_array.parsePointArray,
  parseRange: () => import_range.parseRange,
  parseRangeArray: () => import_range.parseRangeArray,
  parseString: () => import_basic.parseString,
  parseTimestamp: () => import_basic.parseTimestamp,
  parseTimestampArray: () => import_array.parseTimestampArray,
  parseTimestampRange: () => import_range.parseTimestampRange,
  parseTimestampRangeArray: () => import_range.parseTimestampRangeArray,
  parseTimestampTz: () => import_basic.parseTimestampTz,
  parseTimestampTzArray: () => import_array.parseTimestampTzArray,
  parseTimestampTzRange: () => import_range.parseTimestampTzRange,
  parseTimestampTzRangeArray: () => import_range.parseTimestampTzRangeArray,
  parseVoid: () => import_basic.parseVoid
});
module.exports = __toCommonJS(parsers_exports);
var import_array = require("./parsers/array.cjs");
var import_basic = require("./parsers/basic.cjs");
var import_bytea = require("./parsers/bytea.cjs");
var import_geometric = require("./parsers/geometric.cjs");
var import_interval = require("./parsers/interval.cjs");
var import_range = require("./parsers/range.cjs");
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  parseArray,
  parseBigint,
  parseBigintArray,
  parseBigintRange,
  parseBigintRangeArray,
  parseBool,
  parseBoolArray,
  parseByteA,
  parseByteAArray,
  parseCircle,
  parseCircleArray,
  parseFloatArray,
  parseFloatRange,
  parseFloatRangeArray,
  parseIntArray,
  parseIntRange,
  parseIntRangeArray,
  parseInterval,
  parseIntervalArray,
  parseJson,
  parseJsonArray,
  parsePoint,
  parsePointArray,
  parseRange,
  parseRangeArray,
  parseString,
  parseTimestamp,
  parseTimestampArray,
  parseTimestampRange,
  parseTimestampRangeArray,
  parseTimestampTz,
  parseTimestampTzArray,
  parseTimestampTzRange,
  parseTimestampTzRangeArray,
  parseVoid
});
//# sourceMappingURL=parsers.cjs.map
