"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// parsers/basic.ts
var basic_exports = {};
__export(basic_exports, {
  parseBigint: () => parseBigint,
  parseBool: () => parseBool,
  parseJson: () => parseJson,
  parseString: () => parseString,
  parseTimestamp: () => parseTimestamp,
  parseTimestampTz: () => parseTimestampTz,
  parseVoid: () => parseVoid
});
module.exports = __toCommonJS(basic_exports);
var import_postgres_date = __toESM(require("postgres-date"));
var INVALID_DATE = /* @__PURE__ */ new Date(NaN);
var parseBigint = BigInt;
var parseJson = JSON.parse;
var parseBool = (value) => {
  return value === "TRUE" || value === "t" || value === "true" || value === "y" || value === "yes" || value === "on" || value === "1";
};
var parseString = (value) => value;
var parseVoid = () => null;
var parseTimestamp = (value) => {
  const utc = value.endsWith(" BC") ? value.slice(0, -3) + "Z BC" : value + "Z";
  return parseTimestampTz(utc);
};
var parseTimestampTz = (value) => {
  const date = (0, import_postgres_date.default)(value);
  return date instanceof Date ? date : INVALID_DATE;
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  parseBigint,
  parseBool,
  parseJson,
  parseString,
  parseTimestamp,
  parseTimestampTz,
  parseVoid
});
//# sourceMappingURL=basic.cjs.map
