// parsers/basic.ts
import postgresDate from "postgres-date";
var INVALID_DATE = /* @__PURE__ */ new Date(NaN);
var parseBigint = BigInt;
var parseJson = JSON.parse;
var parseBool = (value) => {
  return value === "TRUE" || value === "t" || value === "true" || value === "y" || value === "yes" || value === "on" || value === "1";
};
var parseString = (value) => value;
var parseVoid = () => null;
var parseTimestamp = (value) => {
  const utc = value.endsWith(" BC") ? value.slice(0, -3) + "Z BC" : value + "Z";
  return parseTimestampTz(utc);
};
var parseTimestampTz = (value) => {
  const date = postgresDate(value);
  return date instanceof Date ? date : INVALID_DATE;
};
export {
  parseBigint,
  parseBool,
  parseJson,
  parseString,
  parseTimestamp,
  parseTimestampTz,
  parseVoid
};
//# sourceMappingURL=basic.mjs.map
