"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// parsers/bytea.ts
var bytea_exports = {};
__export(bytea_exports, {
  parseByteA: () => parseByteA
});
module.exports = __toCommonJS(bytea_exports);
function parseEncoded(input) {
  const array = new Uint8Array((input.length - 2) / 2);
  let index = 0;
  for (let i = 2; i < input.length; i += 2) {
    array[index++] = parseInt(input.substring(i, i + 2), 16);
  }
  return array;
}
function parseEscaped(input, Buffer2) {
  const result = new Uint8Array(input.length);
  let pos = 0;
  for (let i = 0; i < input.length; i++) {
    const code = input.charCodeAt(i);
    if (code !== 92) {
      result[pos++] = code;
    } else {
      const token = input.substring(i + 1, i + 4);
      if (/[0-7]{3}/.test(token)) {
        result[pos++] = parseInt(token, 8);
        i += 3;
      } else {
        let backslashes = 1;
        for (let char = input[++i]; i < input.length && char === "\\"; char = input[++i])
          backslashes++;
        result.fill(92, pos, pos += backslashes >>> 1);
        i--;
      }
    }
  }
  return Buffer2 ? Buffer2.from(result.subarray(0, pos)) : result.slice(0, pos);
}
function parseByteA(input, Buffer2 = globalThis.Buffer) {
  if (input.startsWith("\\x")) {
    return Buffer2 ? Buffer2.from(input.substring(2), "hex") : parseEncoded(input);
  } else {
    return parseEscaped(input, Buffer2);
  }
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  parseByteA
});
//# sourceMappingURL=bytea.cjs.map
