import type { PGParser } from '../parsers';
import type { PGSerializable } from '../serializers';
/** A parsed PostgreSQL `interval` */
export interface PGInterval extends PGSerializable {
    years: number;
    months: number;
    days: number;
    hours: number;
    minutes: number;
    seconds: number;
    milliseconds: number;
    toISO(): string;
    toISOString(): string;
    toISOStringShort(): string;
}
/** Constructor for {@link PGInterval} */
export interface PGIntervalConstructor {
    new (value: string): PGInterval;
}
/** A parsed PostgreSQL `interval` */
export declare const PGInterval: PGIntervalConstructor;
/** Parse a PostgreSQL `interval` */
export declare const parseInterval: PGParser<PGInterval>;
