"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// serializers/bytea.ts
var bytea_exports = {};
__export(bytea_exports, {
  serializeByteA: () => serializeByteA
});
module.exports = __toCommonJS(bytea_exports);
function getUint8Array(value) {
  if (value instanceof Uint8Array)
    return value;
  if (ArrayBuffer.isView(value)) {
    return new Uint8Array(value.buffer, value.byteOffset, value.byteLength);
  }
  throw new TypeError("Unsupported type for serialization as BYTEA");
}
var hex = "0123456789abcdef".split("").map((c1, _, a) => a.map((c2) => `${c1}${c2}`)).flat();
function serializeByteA(value, Buffer2 = globalThis.Buffer) {
  if (Buffer2) {
    const buffer = Buffer2.isBuffer(value) ? value : Buffer2.from(getUint8Array(value));
    return `\\x${buffer.toString("hex")}`;
  }
  const array = getUint8Array(value);
  const result = new Array(array.length + 1);
  result[0] = "\\x";
  for (let i = 0, c = array[0]; i < array.length; c = array[i]) {
    result[++i] = hex[c];
  }
  return result.join("");
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  serializeByteA
});
//# sourceMappingURL=bytea.cjs.map
