interface NodeJSBuffer extends Uint8Array {
    toString(format?: 'hex'): string;
}
interface NodeJSBufferConstructor {
    isBuffer(value: any): value is NodeJSBuffer;
    from(source: Uint8Array): NodeJSBuffer;
}
/**
 * Serialize an {@link ArrayBufferView} (e.g. an {@link Uint8Array}, a NodeJS
 * `Buffer`, ...) into a PostgreSQL _HEX-encoded_ `string` (e.g. `\\xdeadbeef`).
 */
export declare function serializeByteA(value: ArrayBufferView, Buffer?: NodeJSBufferConstructor | null | undefined): string;
export {};
