// serializers/bytea.ts
function getUint8Array(value) {
  if (value instanceof Uint8Array)
    return value;
  if (ArrayBuffer.isView(value)) {
    return new Uint8Array(value.buffer, value.byteOffset, value.byteLength);
  }
  throw new TypeError("Unsupported type for serialization as BYTEA");
}
var hex = "0123456789abcdef".split("").map((c1, _, a) => a.map((c2) => `${c1}${c2}`)).flat();
function serializeByteA(value, Buffer = globalThis.Buffer) {
  if (Buffer) {
    const buffer = Buffer.isBuffer(value) ? value : Buffer.from(getUint8Array(value));
    return `\\x${buffer.toString("hex")}`;
  }
  const array = getUint8Array(value);
  const result = new Array(array.length + 1);
  result[0] = "\\x";
  for (let i = 0, c = array[0]; i < array.length; c = array[i]) {
    result[++i] = hex[c];
  }
  return result.join("");
}
export {
  serializeByteA
};
//# sourceMappingURL=bytea.mjs.map
