"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// serializers/date.ts
var date_exports = {};
__export(date_exports, {
  serializeDateUTC: () => serializeDateUTC
});
module.exports = __toCommonJS(date_exports);
function pad(number, digits) {
  return number.toString().padStart(digits, "0");
}
function serializeDateUTC(date) {
  if (isNaN(date.getTime()))
    throw new TypeError("Attempted to serialize invalid date");
  let year = date.getUTCFullYear();
  const isBCYear = year < 1;
  if (isBCYear)
    year = Math.abs(year) + 1;
  let ret = pad(year, 4) + "-" + pad(date.getUTCMonth() + 1, 2) + "-" + pad(date.getUTCDate(), 2) + "T" + pad(date.getUTCHours(), 2) + ":" + pad(date.getUTCMinutes(), 2) + ":" + pad(date.getUTCSeconds(), 2) + "." + pad(date.getUTCMilliseconds(), 3);
  ret += "+00:00";
  if (isBCYear)
    ret += " BC";
  return ret;
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  serializeDateUTC
});
//# sourceMappingURL=date.cjs.map
