// serializers/date.ts
function pad(number, digits) {
  return number.toString().padStart(digits, "0");
}
function serializeDateUTC(date) {
  if (isNaN(date.getTime()))
    throw new TypeError("Attempted to serialize invalid date");
  let year = date.getUTCFullYear();
  const isBCYear = year < 1;
  if (isBCYear)
    year = Math.abs(year) + 1;
  let ret = pad(year, 4) + "-" + pad(date.getUTCMonth() + 1, 2) + "-" + pad(date.getUTCDate(), 2) + "T" + pad(date.getUTCHours(), 2) + ":" + pad(date.getUTCMinutes(), 2) + ":" + pad(date.getUTCSeconds(), 2) + "." + pad(date.getUTCMilliseconds(), 3);
  ret += "+00:00";
  if (isBCYear)
    ret += " BC";
  return ret;
}
export {
  serializeDateUTC
};
//# sourceMappingURL=date.mjs.map
